Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers.locators
Class Firefox2or3Locator

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.locators.Firefox2or3Locator

All Implemented Interfaces:
  BrowserLocator

    public class Firefox2or3Locator

extends java.lang.Object
implements BrowserLocator

Discovers a valid Firefox installation on local system.

Constructor Summary
`Firefox2or3Locator()`

Method Summary
`BrowserInstallation` | `findBrowserLocationOrFail()`
`BrowserInstallation` | `retrieveValidInstallationPath(java.lang.String customLauncherPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Firefox2or3Locator

    public Firefox2or3Locator()

Method Detail

### findBrowserLocationOrFail

    public BrowserInstallation findBrowserLocationOrFail()

  Specified by:
    `findBrowserLocationOrFail` in interface `BrowserLocator`

### retrieveValidInstallationPath

    public BrowserInstallation retrieveValidInstallationPath(java.lang.String customLauncherPath)

  Specified by:
    `retrieveValidInstallationPath` in interface `BrowserLocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.